Move the camera selection into the configuration view
ClosedPublic

Authored by apol on Feb 11 2019, 2:17 PM.

Details

Summary

BUG: 402956

Diff Detail

Repository
R474 Kamoso
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8155
Build 8173: arc lint + arc unit
apol requested review of this revision.Feb 11 2019, 2:17 PM
apol created this revision.
ngraham requested changes to this revision.Feb 11 2019, 2:20 PM
ngraham added a reviewer: VDG.

+1 on turning this into a combobox so you can see the text labels. I'm not sure the left drawer is the right place for it though; that puts it right below the "Effects Gallery" header text, which makes that header inaccurate, since this has nothing to do with effects.

It should probably go in the other drawer on the "Configure Kamoso" page.

This revision now requires changes to proceed.Feb 11 2019, 2:20 PM
apol updated this revision to Diff 51503.Feb 12 2019, 2:17 PM

Hide into the configuration section

apol updated this revision to Diff 51505.Feb 12 2019, 2:19 PM

Fix commit message

apol retitled this revision from Move the camera selection into the global drawer to Move the camera selection into the configuration view.Feb 12 2019, 2:20 PM
ngraham accepted this revision.Feb 12 2019, 4:00 PM

Much better. Shipit!

This revision is now accepted and ready to land.Feb 12 2019, 4:00 PM
ngraham requested changes to this revision.Feb 12 2019, 4:10 PM

Actually, just a few few more requested changes...

src/qml/Config.qml
4

Actually, is this still needed?

src/qml/ImagesView.qml
275 ↗(On Diff #51505)

Also probably needs visible: devicesModel.count>1, or else when there's only a single camera the header will be visible with no combobox underneath it.

src/qml/Main.qml
165

Seems unrelated.

This revision now requires changes to proceed.Feb 12 2019, 4:10 PM
apol updated this revision to Diff 51532.Feb 12 2019, 6:06 PM

Remove unrelated or deprecated changes

apol added inline comments.Feb 12 2019, 6:07 PM
src/qml/ImagesView.qml
275 ↗(On Diff #51505)

No, when there's a single camera the combo box will be disabled but still visible..

ngraham added inline comments.Feb 12 2019, 6:08 PM
src/qml/ImagesView.qml
275 ↗(On Diff #51505)

Oh right, because the combobox has its enabled: property changed conditionally, not visible:. We should hide it entirely instead of just disabling it when there's just one camera. The HIG says that it's appropriate to do this for cases where hardware isn't available, of which this is an example.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 15 2019, 4:43 PM
This revision was automatically updated to reflect the committed changes.